- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libvisio::VSDRelMoveTo Class Reference
Inheritance diagram for libvisio::VSDRelMoveTo:

## Public Member Functions
| VSDRelMoveTo (unsigned id, unsigned level, const boost::optional< double > &x, const boost::optional< double > &y)
virtual | ~VSDRelMoveTo ()
void | handle (VSDCollector *collector) const
VSDGeometryListElement * | clone ()
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x
double | m_y

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

libvisio::VSDRelMoveTo::VSDRelMoveTo | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | x,
|  | const boost::optional< double > & | y
| ) |  |
| inline

virtual libvisio::VSDRelMoveTo::~VSDRelMoveTo | ( |  | ) |
| inline virtual

## Member Function Documentation

libvisio::VSDGeometryListElement * libvisio::VSDRelMoveTo::clone | ( |  | ) |
| virtual

Implements libvisio::VSDGeometryListElement.

void libvisio::VSDRelMoveTo::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

double libvisio::VSDRelMoveTo::m_x

Referenced by libvisio::VSDGeometryList::addRelMoveTo().

double libvisio::VSDRelMoveTo::m_y

Referenced by libvisio::VSDGeometryList::addRelMoveTo().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp